Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRTemplateEllipse

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRTemplateElement
          net.sf.jasperreports.engine.fill.JRTemplateGraphicElement
              net.sf.jasperreports.engine.fill.JRTemplateEllipse

All Implemented Interfaces:
  java.io.Serializable, JRCommonElement, JRCommonGraphicElement, JRPenContainer, JRPropertiesHolder, JRStyleContainer

    public class JRTemplateEllipse

extends JRTemplateGraphicElement

Ellipse information shared by multiple print ellipse objects.

Version:
  $Id: JRTemplateEllipse.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  `JRTemplatePrintEllipse`, Serialized Form

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplateGraphicElement
`linePen`

Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement
`defaultStyleProvider, origin, parentStyle`

Constructor Summary
`` | `JRTemplateEllipse(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider)` Creates an ellipse template.
`protected` | `JRTemplateEllipse(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider, JREllipse ellipse)`

Method Summary
`protected void` | `setEllipse(JREllipse ellipse)`

Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplateGraphicElement
`copyLinePen, getDefaultLineColor, getDefaultLineWidth, getFill, getFillValue, getLinePen, getOwnFill, getOwnFillValue, getOwnPen, getPen, setFill, setFill, setFill, setGraphicElement, setPen, setPen`

Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement
`getBackcolor, getBaseStyle, getDefaultStyleProvider, getForecolor, getHeight, getId, getKey, getMode, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPropertiesMap, getStyle, getStyleNameReference, getWidth, hasProperties, setBackcolor, setElement, setForecolor, setKey, setMode, setMode, setMode, setStyle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getKey, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Constructor Detail

### JRTemplateEllipse

    protected JRTemplateEllipse(JROrigin origin,
                                JRDefaultStyleProvider defaultStyleProvider,
                                JREllipse ellipse)

### JRTemplateEllipse

    public JRTemplateEllipse(JROrigin origin,
                             JRDefaultStyleProvider defaultStyleProvider)

  Creates an ellipse template.

  Parameters:
    `origin` - the origin of the elements that will use this template
    `defaultStyleProvider` - the default style provider to use for this template

Method Detail

### setEllipse

    protected void setEllipse(JREllipse ellipse)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com